Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.config
Interface AnalyzerAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  AnalyzerAttributeImpl

Deprecated.

    @Deprecated
    public interface AnalyzerAttribute

extends Attribute

This attribute is used by `AnalyzerQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. It provides to this processor the `Analyzer`, if there is one, which will be used to analyze the query terms.

Method Summary
`Analyzer` | `getAnalyzer()` Deprecated.
`void` | `setAnalyzer(Analyzer analyzer)` Deprecated.

Method Detail

### setAnalyzer

    void setAnalyzer(Analyzer analyzer)

  Deprecated.

### getAnalyzer

    Analyzer getAnalyzer()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD